%{?nodejs_find_provides_and_requires}
%global npm_name touch

# Tests disabled due to dependencies not in brew yet
%global enable_tests 0

Summary:       like touch in node
Name:          nodejs-%{npm_name}
Version:       1.0.0
Release:       2%{?dist}
License:       ISC
URL:           https://github.com/isaacs/node-touch
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%if 0%{?enable_tests}
BuildRequires: nodejs(tap)
%endif

%description
For all your node touching needs.


%prep
%setup -q -n package
%nodejs_fixdep nopt

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr bin package.json touch.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/touch.js %{buildroot}%{_bindir}/touch.js

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
tap test/*.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/touch.js

%changelog
* Thu Dec 17 2015 Troy Dawson <tdawson@redhat.com> - 1.0.0-2
- Fix dependencies

* Mon Dec 14 2015 Troy Dawson <tdawson@redhat.com> - 1.0.0-1
- Initial package
